import 'package:flutter/material.dart';
import 'package:shimmer/shimmer.dart';

class WalletBilDetailSkeleton extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Container(
      child: Shimmer.fromColors(
          baseColor: Colors.grey[300],
          highlightColor: Colors.grey[100],
          child: Column(
            children: <Widget>[
              Container(
                color: Colors.white,
                height: 80,
              ),
              SizedBox(
                height: 32,
              ),
              Row(
                mainAxisAlignment: MainAxisAlignment.spaceEvenly,
                children: <Widget>[
                  Container(
                    color: Colors.white,
                    height: 40,
                    width: 100,
                  ),
                  Container(
                    color: Colors.white,
                    height: 40,
                    width: 100,
                  )
                ],
              ),
              SizedBox(
                height: 16,
              ),
              Row(
                mainAxisAlignment: MainAxisAlignment.spaceBetween,
                children: <Widget>[

                  Container(
                    color: Colors.white,
                    height: 40,
                    width: 80,
                  ),

                  Container(
                    color: Colors.white,
                    height: 40,
                    width: 80,
                  ),

                  Container(
                    color: Colors.white,
                    height: 40,
                    width: 80,
                  ),

                ],
              ),
              Expanded(
                  child: ListView.builder(
                itemCount: 3,
                itemBuilder: _buildItem,
              ))
            ],
          )),
    );
  }

  Widget _buildItem(BuildContext context, int index) {
    return Container(
      margin: EdgeInsets.all(16),
      child: Column(
        children: <Widget>[
          Row(
            children: <Widget>[
              Container(
                color: Colors.white,
                height: 20,
                width: 40,
              ),
              SizedBox(
                width: 16,
              ),
              Container(
                color: Colors.white,
                height: 20,
                width: 100,
              )
            ],
          ),
          SizedBox(
            height: 8,
          ),
          Row(
            children: <Widget>[
              Container(
                color: Colors.white,
                height: 20,
                width: 40,
              ),
              SizedBox(
                width: 16,
              ),
              Container(
                color: Colors.white,
                height: 20,
                width: 120,
              ),
              SizedBox(
                width: 16,
              ),
              Container(
                color: Colors.white,
                height: 20,
                width: 40,
              )
            ],
          ),
          SizedBox(
            height: 8,
          ),
          Row(
            children: <Widget>[
              Container(
                color: Colors.white,
                height: 20,
                width: 40,
              ),
              SizedBox(
                width: 16,
              ),
              Container(
                color: Colors.white,
                height: 20,
                width: 100,
              ),
              SizedBox(
                width: 16,
              ),
              Container(
                color: Colors.white,
                height: 20,
                width: 40,
              ),
              SizedBox(
                width: 16,
              ),
              Container(
                color: Colors.white,
                height: 20,
                width: 100,
              ),
            ],
          ),
          SizedBox(
            height: 8,
          ),
          Row(
            children: <Widget>[
              Container(
                color: Colors.white,
                height: 20,
                width: 40,
              ),
              SizedBox(
                width: 16,
              ),
              Container(
                color: Colors.white,
                height: 20,
                width: 100,
              ),
              SizedBox(
                width: 16,
              ),
              Container(
                color: Colors.white,
                height: 20,
                width: 40,
              ),
              SizedBox(
                width: 16,
              ),
              Container(
                color: Colors.white,
                height: 20,
                width: 100,
              ),
            ],
          )
        ],
      ),
    );
  }
}
